## khtml 5.62.0

=== debian/changelog ===
khtml (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:06:50 +0100

khtml (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:19 +0100

khtml (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:02 +0100

khtml (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:12 +0100

khtml (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:07 +0100

khtml (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:37:49 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.62.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.62.0~),
               libkf5codecs-dev (>= 5.62.0~),
               libkf5globalaccel-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5iconthemes-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5kjs-dev (>= 5.62.0~),
               libkf5notifications-dev (>= 5.62.0~),
               libkf5parts-dev (>= 5.62.0~),
               libkf5sonnet-dev (>= 5.62.0~),
               libkf5textwidgets-dev (>= 5.62.0~),
               libkf5wallet-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libkf5xmlgui-dev (>= 5.62.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.8.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.62.0~),
         libkf5globalaccel-dev (>= 5.62.0~),
         libkf5i18n-dev (>= 5.62.0~),
         libkf5iconthemes-dev (>= 5.62.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.62.0~),
         libkf5kjs-dev (>= 5.62.0~),
         libkf5notifications-dev (>= 5.62.0~),
         libkf5parts-dev (>= 5.62.0~),
         libkf5sonnet-dev (>= 5.62.0~),
         libkf5wallet-dev (>= 5.62.0~),
         libkf5widgetsaddons-dev (>= 5.62.0~),
         libkf5windowsystem-dev (>= 5.62.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KHtml VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)


set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets Network DBus PrintSupport Xml)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

# Most of KJS doesn't even require Qt, thus we can't use override
string(REPLACE "-Wsuggest-override" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JS ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX KHTML
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
                        SOVERSION 5)

find_package(Perl)
set_package_properties(Perl PROPERTIES
                       URL "https://www.perl.org/"
                       TYPE REQUIRED
                       PURPOSE "Required for generating JS bindings for elements"
                      )

if(NOT APPLE)
  find_package(X11)
  set(HAVE_X11 ${X11_FOUND})
endif()

find_package(Phonon4Qt5 4.6.60)
set_package_properties(Phonon4Qt5 PROPERTIES
                      DESCRIPTION "Qt Multimedia Library"
                      URL "https://phonon.kde.org/"
                      TYPE REQUIRED
                      PURPOSE "Required for HTML5 multimedia elements"
                     )

find_package(JPEG)
set_package_properties(JPEG PROPERTIES DESCRIPTION "JPEG decoding library"
                       URL "https://www.ijg.org"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying JPEG images"
                      )

find_package(GIF)
set_package_properties(GIF PROPERTIES DESCRIPTION "GIF decoding library"
                       URL "https://sourceforge.net/projects/giflib"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying GIF images"
                      )

find_package(PNG)
set_package_properties(PNG PROPERTIES DESCRIPTION "PNG decoding library"
                       URL "http://www.libpng.org/pub/png"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying PNG images"
                      )

if(NOT WIN32 AND NOT APPLE AND X11_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
endif()

find_package(Gperf REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DENABLE_SVG)
add_definitions(-DENABLE_SVG_FONTS)
add_definitions(-DWTF_PLATFORM_QT)

# avoid warning for "this use of "defined" may not be portable" for all the #if PLATFORM(Foo)
set(_flag "-Wno-expansion-to-defined")
check_cxx_compiler_flag(${_flag} _flag_present)
if(_flag_present)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_flag}")
endif()


set(KHTML_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(KHTML_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/src)

add_definitions(-DTRANSLATION_DOMAIN=\"khtml5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
  add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KHtml")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KHtmlConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KHtmlTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KHtmlTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
khtml (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:27 +0000

khtml (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:13 +0000

khtml (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:04 +0000

khtml (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:18 +0000

khtml (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                gperf,
                libgif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.62.0~),
-               libkf5codecs-dev (>= 5.62.0~),
-               libkf5globalaccel-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5iconthemes-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5kjs-dev (>= 5.62.0~),
-               libkf5notifications-dev (>= 5.62.0~),
-               libkf5parts-dev (>= 5.62.0~),
-               libkf5sonnet-dev (>= 5.62.0~),
-               libkf5textwidgets-dev (>= 5.62.0~),
-               libkf5wallet-dev (>= 5.62.0~),
-               libkf5widgetsaddons-dev (>= 5.62.0~),
-               libkf5windowsystem-dev (>= 5.62.0~),
-               libkf5xmlgui-dev (>= 5.62.0~),
+               libkf5archive-dev (>= 5.68.0~),
+               libkf5codecs-dev (>= 5.68.0~),
+               libkf5globalaccel-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5kjs-dev (>= 5.68.0~),
+               libkf5notifications-dev (>= 5.68.0~),
+               libkf5parts-dev (>= 5.68.0~),
+               libkf5sonnet-dev (>= 5.68.0~),
+               libkf5textwidgets-dev (>= 5.68.0~),
+               libkf5wallet-dev (>= 5.68.0~),
+               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5windowsystem-dev (>= 5.68.0~),
+               libkf5xmlgui-dev (>= 5.68.0~),
                libphonon4qt5-dev (>= 4:4.6.0),
                libphonon4qt5experimental-dev (>= 4:4.6.0),
                libpng-dev,
@@ -60,19 +60,19 @@
 Package: libkf5khtml-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5archive-dev (>= 5.62.0~),
-         libkf5globalaccel-dev (>= 5.62.0~),
-         libkf5i18n-dev (>= 5.62.0~),
-         libkf5iconthemes-dev (>= 5.62.0~),
+Depends: libkf5archive-dev (>= 5.68.0~),
+         libkf5globalaccel-dev (>= 5.68.0~),
+         libkf5i18n-dev (>= 5.68.0~),
+         libkf5iconthemes-dev (>= 5.68.0~),
          libkf5khtml5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.62.0~),
-         libkf5kjs-dev (>= 5.62.0~),
-         libkf5notifications-dev (>= 5.62.0~),
-         libkf5parts-dev (>= 5.62.0~),
-         libkf5sonnet-dev (>= 5.62.0~),
-         libkf5wallet-dev (>= 5.62.0~),
-         libkf5widgetsaddons-dev (>= 5.62.0~),
-         libkf5windowsystem-dev (>= 5.62.0~),
+         libkf5kio-dev (>= 5.68.0~),
+         libkf5kjs-dev (>= 5.68.0~),
+         libkf5notifications-dev (>= 5.68.0~),
+         libkf5parts-dev (>= 5.68.0~),
+         libkf5sonnet-dev (>= 5.68.0~),
+         libkf5wallet-dev (>= 5.68.0~),
+         libkf5widgetsaddons-dev (>= 5.68.0~),
+         libkf5windowsystem-dev (>= 5.68.0~),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Description: HTML widget and component

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5khtml5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## khtml 5.74.0

=== debian/changelog ===
khtml (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:06 +0100

khtml (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:01 +0100

khtml (5.72.0-0ubuntu3) groovy; urgency=medium

  * Mark some symbols optional with GCC 10.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Aug 2020 10:47:15 +0100

khtml (5.72.0-0ubuntu2) groovy; urgency=medium

  * Drop testsuite, and remove unused acc test config.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Aug 2020 00:23:05 +0100

khtml (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:37 +0100

khtml (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:18 +0100

khtml (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Jun 2020 19:53:55 +0100

khtml (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols file from the logs of buildds.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:21 +0200

khtml (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:31:53 +0100

khtml (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed injection of linker flags.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols files.
  * Cleanup copyright file.
  * Remove not needed lintian-overrides file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:40 +0200

khtml (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:45 -0700

khtml (5.61.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:09:57 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.74.0~),
               libkf5codecs-dev (>= 5.74.0~),
               libkf5globalaccel-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5kjs-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5parts-dev (>= 5.74.0~),
               libkf5sonnet-dev (>= 5.74.0~),
               libkf5textwidgets-dev (>= 5.74.0~),
               libkf5wallet-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.74.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.12.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               zlib1g-dev,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.74.0~),
         libkf5globalaccel-dev (>= 5.74.0~),
         libkf5i18n-dev (>= 5.74.0~),
         libkf5iconthemes-dev (>= 5.74.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.74.0~),
         libkf5kjs-dev (>= 5.74.0~),
         libkf5notifications-dev (>= 5.74.0~),
         libkf5parts-dev (>= 5.74.0~),
         libkf5sonnet-dev (>= 5.74.0~),
         libkf5wallet-dev (>= 5.74.0~),
         libkf5widgetsaddons-dev (>= 5.74.0~),
         libkf5windowsystem-dev (>= 5.74.0~),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project(KHtml VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -18,7 +18,7 @@
 include(ECMQtDeclareLoggingCategory)
 
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets Network DBus PrintSupport Xml)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

=== src/kmultipart/CMakeLists.txt ===

include_directories( ${KHTML_SOURCE_DIR}
                     ${KHTML_BINARY_DIR}
)
include_directories(${ZLIB_INCLUDE_DIR})

########### next target ###############

set(kmultipart_PART_SRCS kmultipart.cpp httpfiltergzip.cpp)
ecm_qt_declare_logging_category(kmultipart_PART_SRCS
    HEADER kmultipart_debug.h
    IDENTIFIER KMULTIPART_LOG
    CATEGORY_NAME kf.khtml.multipart
    OLD_CATEGORY_NAMES kf5.khtml.multipart
    DESCRIPTION "multipart"
    EXPORT KHTML
)
add_library(kmultipart MODULE ${kmultipart_PART_SRCS})

target_link_libraries(kmultipart
                        ${ZLIB_LIBRARY}
                        KF5::Parts
                        KF5::Archive
                        KF5::WidgetsAddons
                        KF5::XmlGui
                        KF5::I18n
                        KF5::TextWidgets)

install(TARGETS kmultipart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
install(FILES kmultipart.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== tests/java/CMakeLists.txt ===
include_directories( ${KHTML_SOURCE_DIR}/java ${KHTML_SOURCE_DIR} )

include(ECMMarkAsTest)

########### next target ###############

set(testserver_SRCS testkjavaappletserver.cpp
    ${KHTML_SOURCE_DIR}/java/kjavaappletcontext.cpp
    ${KHTML_SOURCE_DIR}/java/kjavaappletviewer.cpp
    ${KHTML_SOURCE_DIR}/java/kjavaprocess.cpp
    ${KHTML_SOURCE_DIR}/java/kjavaapplet.cpp
    ${KHTML_SOURCE_DIR}/java/kjavaappletwidget.cpp
    ${KHTML_SOURCE_DIR}/java/kjavadownloader.cpp
    ${KHTML_SOURCE_DIR}/java/kjavaappletserver.cpp)

ecm_qt_declare_logging_category(testserver_SRCS
    HEADER kjavaappletviewer_debug.h
    IDENTIFIER KJAVAAPPLETVIEWER_LOG
    CATEGORY_NAME kf.khtml.javaappletviewer
)
add_executable(testserver ${testserver_SRCS})
ecm_mark_as_test(testserver)

target_link_libraries(testserver
    KF5::Parts
    KF5::I18n
    KF5::XmlGui
    KF5::IconThemes
    KF5::WindowSystem
    Qt5::Network
)

=== debian/changelog ===
khtml (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:22 +0900

khtml (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

khtml (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

khtml (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

khtml (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:57 +0200

khtml (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5khtml-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:49 +0200

khtml (5.70.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 12:04:23 +0200

khtml (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused 'acc' autopkgtest.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Update symbols file. (Closes: #957400)

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 10:30:04 +0200

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.78.0~),
               libkf5codecs-dev (>= 5.78.0~),
               libkf5globalaccel-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5kjs-dev (>= 5.78.0~),
               libkf5notifications-dev (>= 5.78.0~),
               libkf5parts-dev (>= 5.78.0~),
               libkf5sonnet-dev (>= 5.78.0~),
               libkf5textwidgets-dev (>= 5.78.0~),
               libkf5wallet-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5windowsystem-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.14.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khtml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khtml.git
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.78.0~),
         libkf5globalaccel-dev (>= 5.78.0~),
         libkf5i18n-dev (>= 5.78.0~),
         libkf5iconthemes-dev (>= 5.78.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.78.0~),
         libkf5kjs-dev (>= 5.78.0~),
         libkf5notifications-dev (>= 5.78.0~),
         libkf5parts-dev (>= 5.78.0~),
         libkf5sonnet-dev (>= 5.78.0~),
         libkf5wallet-dev (>= 5.78.0~),
         libkf5widgetsaddons-dev (>= 5.78.0~),
         libkf5windowsystem-dev (>= 5.78.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.80.0

=== debian/changelog ===
khtml (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:48 +0000

khtml (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:21:45 +0000

khtml (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 Jan 2021 15:17:31 +0000

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.80.0~),
               gperf,
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.80.0~),
               libkf5codecs-dev (>= 5.80.0~),
               libkf5globalaccel-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5iconthemes-dev (>= 5.80.0~),
               libkf5kio-dev (>= 5.80.0~),
               libkf5kjs-dev (>= 5.80.0~),
               libkf5notifications-dev (>= 5.80.0~),
               libkf5parts-dev (>= 5.80.0~),
               libkf5sonnet-dev (>= 5.80.0~),
               libkf5textwidgets-dev (>= 5.80.0~),
               libkf5wallet-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libkf5windowsystem-dev (>= 5.80.0~),
               libkf5xmlgui-dev (>= 5.80.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.14.0~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               zlib1g-dev,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/khtml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khtml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khtml.git
Rules-Requires-Root: no

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev (>= 5.80.0~),
         libkf5globalaccel-dev (>= 5.80.0~),
         libkf5i18n-dev (>= 5.80.0~),
         libkf5iconthemes-dev (>= 5.80.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.80.0~),
         libkf5kjs-dev (>= 5.80.0~),
         libkf5notifications-dev (>= 5.80.0~),
         libkf5parts-dev (>= 5.80.0~),
         libkf5sonnet-dev (>= 5.80.0~),
         libkf5wallet-dev (>= 5.80.0~),
         libkf5widgetsaddons-dev (>= 5.80.0~),
         libkf5windowsystem-dev (>= 5.80.0~),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

## khtml 5.86.0

=== debian/changelog ===
khtml (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:57 +0100

khtml (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:27:00 +0100

khtml (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:00:09 +0100

khtml (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:05 +0100

khtml (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:56:39 +0100

khtml (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                gperf,
                libgif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.80.0~),
-               libkf5codecs-dev (>= 5.80.0~),
-               libkf5globalaccel-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5iconthemes-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5kjs-dev (>= 5.80.0~),
-               libkf5notifications-dev (>= 5.80.0~),
-               libkf5parts-dev (>= 5.80.0~),
-               libkf5sonnet-dev (>= 5.80.0~),
-               libkf5textwidgets-dev (>= 5.80.0~),
-               libkf5wallet-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5windowsystem-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               libkf5archive-dev (>= 5.86.0~),
+               libkf5codecs-dev (>= 5.86.0~),
+               libkf5globalaccel-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5kjs-dev (>= 5.86.0~),
+               libkf5notifications-dev (>= 5.86.0~),
+               libkf5parts-dev (>= 5.86.0~),
+               libkf5sonnet-dev (>= 5.86.0~),
+               libkf5textwidgets-dev (>= 5.86.0~),
+               libkf5wallet-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5windowsystem-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                libphonon4qt5-dev (>= 4:4.6.0),
                libphonon4qt5experimental-dev (>= 4:4.6.0),
                libpng-dev,
@@ -62,19 +62,19 @@
 Package: libkf5khtml-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.80.0~),
-         libkf5globalaccel-dev (>= 5.80.0~),
-         libkf5i18n-dev (>= 5.80.0~),
-         libkf5iconthemes-dev (>= 5.80.0~),
+Depends: libkf5archive-dev (>= 5.86.0~),
+         libkf5globalaccel-dev (>= 5.86.0~),
+         libkf5i18n-dev (>= 5.86.0~),
+         libkf5iconthemes-dev (>= 5.86.0~),
          libkf5khtml5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.80.0~),
-         libkf5kjs-dev (>= 5.80.0~),
-         libkf5notifications-dev (>= 5.80.0~),
-         libkf5parts-dev (>= 5.80.0~),
-         libkf5sonnet-dev (>= 5.80.0~),
-         libkf5wallet-dev (>= 5.80.0~),
-         libkf5widgetsaddons-dev (>= 5.80.0~),
-         libkf5windowsystem-dev (>= 5.80.0~),
+         libkf5kio-dev (>= 5.86.0~),
+         libkf5kjs-dev (>= 5.86.0~),
+         libkf5notifications-dev (>= 5.86.0~),
+         libkf5parts-dev (>= 5.86.0~),
+         libkf5sonnet-dev (>= 5.86.0~),
+         libkf5wallet-dev (>= 5.86.0~),
+         libkf5widgetsaddons-dev (>= 5.86.0~),
+         libkf5windowsystem-dev (>= 5.86.0~),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
 Description: HTML widget and component
